/*{
	"type": "action",
	"targets": ["omnigraffle"],
	"author": "Nyhthawk Productions",
	"description": "Displays the FileMaker record related to the selected graphic.",
	"label": "Show Record for Person",
	"shortLabel": "Show FM Record"
}*/

var _ = function(){
	
	var action = new PlugIn.Action(function(selection, sender) {
		// action code
		cnvs = selection.canvas
		graphic = selection.solids[0]
		DBFILENAME = graphic.userData['Database Name']
		DBFILENAME = encodeURIComponent(DBFILENAME)
		DBIDFIELDVALUE = graphic.userData['Employee ID']
		FMSCRIPTNAME = 'Find by ID'
		FMSCRIPTNAME = encodeURIComponent(FMSCRIPTNAME)
		urlStr = "fmp://$/" + DBFILENAME + "?script=" + FMSCRIPTNAME + "&$TARGETID=" + DBIDFIELDVALUE
		url = URL.fromString(urlStr)
		url.call(function(reply){})
	});

	action.validate = function(selection, sender) {
		// validation code
		if(selection.solids.length === 1){return true} else {return false}
	};
	
	return action;
}();
_;